lp:ubuntu/lucid/libgnomecanvas

Created by James Westby on 2009-12-05 and last modified on 2010-04-01
Get this branch:
bzr branch lp:ubuntu/lucid/libgnomecanvas
Members of Ubuntu branches can upload to this branch. Log in for directions.

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Review team:
Ubuntu Development Team
Status:
Development

Recent revisions

24. By Sebastien Bacher on 2010-04-01

* New upstream version:
  Bug fixes
  - Fix background drawing

23. By Sebastien Bacher on 2010-03-30

* New upstream version:
  Bug fixes
  - Do not use deprecated API
  - Reduce relocations
  - Make glade support optional at configure time
  - Forward scroll events to items holding a grap
  - Make the paint method work on Quartz too
  - Getting GnomeCanvasLine's points property leaks
  - Fix linking with pedantic linkers
* debian/rules:
  - use the configure option --enable-glade in lucid

22. By Alexander Sack on 2010-03-06

rebuild rest of main for armel armv7/thumb2 optimization;
UbuntuSpec:mobile-lucid-arm-gcc-v7-thumb2

21. By Josselin Mouette <email address hidden> on 2009-04-28

[ Sven Arvidsson ]
* Add a -dbg package (Closes: #286973)
* Bump debhelper compatibility to v5.

[ Emilio Pozuelo Monfort ]
* debian/libgnomecanvas2-doc.doc-base: fix section.

[ Josselin Mouette ]
* Build-depend on libgail-dev 1.9.0. Closes: #506012.
* Add libglib2.0-doc and libgtk2.0-doc to b-d-i to ensure proper
  xrefs.
* New upstream release.
* Update list of copyright holders.
* 99_ltmain_as-needed.patch: updated for the new libtool version.
* Fix section for debugging package.
* Remove doc-base file, it duplicates the job of devhelp.
* Don’t use -1 in build-dependencies.
* Wrap dependencies, add missing ${misc:Depends} and fix some
  versions.

20. By Sebastien Bacher on 2009-03-17

New upstream version

19. By Sebastien Bacher on 2009-02-09

* Use the current jaunty version to do the update
* debian/patches/90_upstream_correctly_update.patch:
  - the change is in the current version

18. By Sebastien Bacher on 2009-02-09

* New upstream version:
  Bug fixes
  - Avoid tearing while repainting
  - Fix compilation with gcc 2.x
  - Register gailcanvas into a11y type system
  - Do not use deprecated GTK_OBJECT macros
  - Use single GTK+ includes

17. By Sebastien Bacher on 2008-11-27

* debian/control.in:
  - using libgail again since debian didn't do the same change there

16. By Sebastien Bacher on 2008-10-08

* debian/patches/90_upstream_correctly_update.patch:
  - upstream change to fix canvas update issues, thank to Robert Jordens
    who opened the bug and suggested the change (lp: #272316)

15. By Sebastien Bacher on 2008-06-18

* rebuild using the new libgail gtk version
* debian/control.in:
  - don't use libgail, updated gtk requirement
  - updated maintainer information

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/maverick/libgnomecanvas
This branch contains Public information 
Everyone can see this information.

Subscribers